[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Libguestfs] nbdkit: raise Mockall dependency to 0.8.2



Previously the Rust plugin required an unreleased version of Mockall.
commit 30c8da4b4e647d780f198ef1fb8d16abc177ef2c
Author: Alan Somers <asomers gmail com>
Date:   Tue Oct 13 08:37:08 2020 -0600

    plugins/rust: update Mockall to 0.8.2

diff --git a/plugins/rust/Cargo.toml b/plugins/rust/Cargo.toml
index 4c9cac35..b264c768 100644
--- a/plugins/rust/Cargo.toml
+++ b/plugins/rust/Cargo.toml
@@ -29,8 +29,7 @@ nix = { version = "0.17.0", optional = true }
 [dev-dependencies]
 errno = "0.2.5"
 lazy_static = "1.2.0"
-# Need Mockall's PR #141, which hasn't yet been released
-mockall = { git = "https://github.com/asomers/mockall.git";, rev = "7c23b5cab5eca8a40ee3ab3270155f52bea4d658" }
+mockall = "0.8.2"
 
 [[example]]
 name = "ramdisk"

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]